LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XTextContentAppend Interface Reference

allows inserting and appending text content. More...

`import"XTextContentAppend.idl";`

Inheritance diagram for XTextContentAppend:

## Public Member Functions
com::sun::star::text::XTextRange | appendTextContent ([in] com::sun::star::text::XTextContent TextContent, [in] com::sun::star::beans::PropertyValues CharacterAndParagraphProperties) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::beans::UnknownPropertyException )
| appends a text content at the end of the text. More...
com::sun::star::text::XTextRange | insertTextContentWithProperties ([in] com::sun::star::text::XTextContent TextContent, [in] com::sun::star::beans::PropertyValues CharacterAndParagraphProperties, [in] com::sun::star::text::XTextRange TextRange) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::beans::UnknownPropertyException )
| inserts a text content at the given position. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

allows inserting and appending text content.

## Member Function Documentation

## ◆ appendTextContent()

com::sun::star::text::XTextRange appendTextContent | ( | [in] com::sun::star::text::XTextContent | TextContent,
|  | [in] com::sun::star::beans::PropertyValues | CharacterAndParagraphProperties
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::beans::UnknownPropertyException
| ) |  |

appends a text content at the end of the text.

    <p> The sequence can contain all the properties defined by the service
    Paragraph.

Parameters

  TextContent | contains the object to be inserted.
  CharacterAndParagraphProperties | can contain all the properties defined by the service Paragraph.

Returns
  the anchor text range of the inserted text content.

## ◆ insertTextContentWithProperties()

com::sun::star::text::XTextRange insertTextContentWithProperties | ( | [in] com::sun::star::text::XTextContent | TextContent,
|  | [in] com::sun::star::beans::PropertyValues | CharacterAndParagraphProperties,
|  | [in] com::sun::star::text::XTextRange | TextRange
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::beans::UnknownPropertyException
| ) |  |

inserts a text content at the given position.

Parameters

  TextContent | contains the object to be inserted.
  CharacterAndParagraphProperties | can contain all the properties defined by the service Paragraph.
  TextRange | insert position

Returns
  the anchor text range of the inserted text content.

Since
  LibreOffice 4.0

The documentation for this interface was generated from the following file:

- com/sun/star/text/XTextContentAppend.idl